﻿using C1.WPF.Core;
using C1.WPF.Input;
using C1.WPF.ListView;
using C1.WPF.PropertyGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EnumEditorStyling
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {           
            InitializeComponent();
            var product = new Product()
            {
                Id = "Id-1",
                Grade = Grade.A
            };
            propertyGrid.SelectedObject = product;
        }
        private void PropertyBox_Added(object sender, C1.WPF.PropertyGrid.PropertyBoxChangedEventArgs e)
        {
            //For separator color
            var separator =e.PropertyBox.Template.FindName("6_T", e.PropertyBox) as C1Border;
            separator.Background = Brushes.Red;

            //For enum editor and popup styling
            if (e.PropertyBox.CurrentEditor is EnumEditor)
            {
                var enumEditor = (e.PropertyBox.CurrentEditor as EnumEditor);
                enumEditor.Background = Brushes.PeachPuff;
                var dropdown = enumEditor.Template.FindName("DropDown", enumEditor) as C1DropDown;
                dropdown.PopupStyle = FindResource("popupStyle") as Style;
            }
        }
    }
    public class Product
    {
        public string Id { get; set; }
        public Grade Grade { get; set; }
    }
    public enum Grade
    {
        A,
        B,
        C,
        D
    }
}
